org.apache.cassandra.service

## Class RowDigestResolver

- java.lang.Object
- - org.apache.cassandra.service.AbstractRowResolver
  - - org.apache.cassandra.service.RowDigestResolver

All Implemented Interfaces:
  IResponseResolver<ReadResponse,Row>

    public class RowDigestResolver
    extends AbstractRowResolver

### Field Summary

### Fields inherited from class org.apache.cassandra.service.AbstractRowResolver

`key, keyspaceName, logger, replies`

### Constructor Summary

Constructors
Constructor and Description
`RowDigestResolver(java.lang.String keyspaceName, java.nio.ByteBuffer key, int maxResponseCount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Row` `getData()` Special case of resolve() so that CL.ONE reads never throw DigestMismatchException in the foreground
`boolean` `isDataPresent()`
`Row` `resolve()` This Method resolves the responses that are passed in .

### Methods inherited from class org.apache.cassandra.service.AbstractRowResolver

`getMessages, preprocess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RowDigestResolver

    public RowDigestResolver(java.lang.String keyspaceName,
                             java.nio.ByteBuffer key,
                             int maxResponseCount)

### Method Detail

#### getData

    public Row getData()

Special case of resolve() so that CL.ONE reads never throw DigestMismatchException in the foreground

#### resolve

    public Row resolve()
                throws DigestMismatchException

Description copied from interface: `IResponseResolver`
This Method resolves the responses that are passed in . for example : if its write response then all we get is true or false return values which implies if the writes were successful but for reads its more complicated you need to look at the responses and then based on differences schedule repairs . Hence you need to derive a response resolver based on your needs from this interface.

Throws:
  `DigestMismatchException`

#### isDataPresent

    public boolean isDataPresent()